# class DnsRecord | A DNS record. More...
Full name | `TelEngine::DnsRecord`
Definition | `#include <yateclass.h>`
Inherits | TelEngine::GenObject [public ]
Inherited by | NaptrRecord, SrvRecord, TxtRecord
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline DnsRecord (int ttl, int order, int pref)
- inline DnsRecord ()
- inline int ttl () const
- inline int order () const
- inline int pref () const
- virtual void dump (String& buf, const char* sep = " ")

#### Public Static Methods

- static bool insert (ObjList& list, DnsRecord* rec, bool ascPref)

#### Protected Members

- int m_ttl
- int m_order
- int m_pref

## Detailed Description

This class holds a DNS (resolver) record

inline DnsRecord (int ttl, int order, int pref) | ### DnsRecord

Build a DNS record

Parameters:

ttl | Record Time To Live
order | Record order (priority)
pref | Record preference

inline DnsRecord () | ### DnsRecord

Default constructor

inline int ttl () | ### ttl

[const]

Retrieve the Time To Live

Returns: Record TTL

inline int order () | ### order

[const]

Retrieve the record order

Returns: Record order

inline int pref () | ### pref

[const]

Retrieve the record preference

Returns: Record preference

void dump (String& buf, const char* sep = " ") | ### dump

[virtual]

Dump a record for debug purposes

Parameters:

buf | Destination buffer
sep | Fields separator

bool insert (ObjList& list, DnsRecord* rec, bool ascPref) | ### insert

[static]

Insert a DnsRecord into a list in the proper location given by order and preference

Parameters:

list | Destination list
rec | The item to insert
ascPref | Order preference ascending

Returns: True on success, false on failure (already in the list)

int m_ttl | ### m_ttl

[protected]

int m_order | ### m_order

[protected]

int m_pref | ### m_pref

[protected]

Generated by: paulc on bussard on Fri May 8 12:37:22 2015, using kdoc 2.0a54.